org.scalatest

# Tracker

#### class Tracker extends AnyRef

Class that tracks the progress of a series of `Ordinal`s produced by invoking `next` and `nextNewOldPair` on the current `Ordinal`.

Instances of this class are thread safe. Multiple threads can invoke `nextOrdinal` and `nextTracker` concurrently. This facilitates multi-threaded tests that send `infoProvided` reports concurrently. When using a `Dispatcher` to execute suites in parallel, the intention is that each `Tracker` will only be used by one thread. For example, if the optional `Dispatcher` passed to `Suite`'s implementation of `runNestedSuites` is defined, that method will obtain a new `Tracker` by invoking `nextTracker` for each nested suite it passes to the `Dispatcher`.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Tracker
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tracker ()

   Constructs a new `Tracker` with a new `Ordinal` initialized with a run stamp of 0.

2. #### new Tracker (firstOrdinal: Ordinal)

   firstOrdinal

     the first `Ordinal` in the series of `Ordinal`s tracked by this `Tracker`, which will be used to initialize this `Tracker`'s current `Ordinal`.

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def nextOrdinal (): Ordinal

    Returns the next `Ordinal` in the series tracked by this `Tracker`.

    Returns the next `Ordinal` in the series tracked by this `Tracker`.

    This method saves the current `Ordinal` in a local variable, reassigns the current `Ordinal` with the value returned by invoking `nextOrdinal` on the saved `Ordinal`, then returns the saved `Ordinal`. As a result, if this method is invoked immediately after construction, this method will return the `Ordinal` passed as `firstOrdinal`.

    returns

      the next `Ordinal` in the series

16. #### def nextTracker (): Tracker

    Returns a `Tracker` initialized with the first element in the tuple returned by invoking `nextNewOldPair` on the current `Ordinal`, and reassigns the current `Ordinal` with the second element that was returned by the `nextNewOldPair` invocation.

    Returns a `Tracker` initialized with the first element in the tuple returned by invoking `nextNewOldPair` on the current `Ordinal`, and reassigns the current `Ordinal` with the second element that was returned by the `nextNewOldPair` invocation.

    The `Ordinal` series of the returned `Tracker` will be placed after all the `Ordinal`s previously returned by invoking `nextOrdinal` on this `Tracker` and before all the `Ordinal`s subsequently returned by invoking `nextOrdinal` on this `Tracker` in the future. This method is intended to be used when executing nested suites in parallel. Each nested suite passed to the `Distributor` will get its own `Tracker` obtained by invoking `nextTracker` on the current thread's `Tracker`.

    returns

      the next `Tracker` in this series

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def toString (): String

    Definition Classes
      AnyRef → Any

21. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any